--- a/python-module-pygobject.spec	2025-05-14 02:14:14.824303410 +0000
+++ b/python-module-pygobject.spec	2025-05-14 02:14:14.830303487 +0000
@@ -83,7 +83,7 @@
 %makeinstall_std
 mkdir -p %buildroot%_includedir/python%__python_version
 mv %buildroot%_includedir/pygtk-%gtk_api_ver %buildroot%_includedir/python%__python_version/pygtk
-%__subst "s|\${includedir}/pygtk-%gtk_api_ver|\${includedir}/python%__python_version/pygtk|g" %buildroot/%_pkgconfigdir/*.pc
+sed -i "s|\${includedir}/pygtk-%gtk_api_ver|\${includedir}/python%__python_version/pygtk|g" %buildroot/%_pkgconfigdir/*.pc
 
 %check
 %make check
--- a/python-module-pygtk.spec	2025-05-14 02:14:14.870304003 +0000
+++ b/python-module-pygtk.spec	2025-05-14 02:14:14.877304093 +0000
@@ -105,7 +105,7 @@
 %patch
 %patch1
 
-%__subst "s|@PYTHON@|%_bindir/env python|g" pygtk-codegen-2.0.in examples/pygtk-demo/pygtk-demo.in
+sed -i "s|@PYTHON@|%_bindir/env python|g" pygtk-codegen-2.0.in examples/pygtk-demo/pygtk-demo.in
 
 %build
 #NOCONFIGURE=1 gnome-autogen.sh
--- a/python-uinput.spec	2025-05-14 02:14:15.282309314 +0000
+++ b/python-uinput.spec	2025-05-14 02:14:15.294309469 +0000
@@ -42,13 +42,13 @@
 %setup
 
 # Use unversioned .so
-%__subst "s/libudev.so.0/libudev.so/" setup.py
+sed -i "s/libudev.so.0/libudev.so/" setup.py
 
 
 # https://github.com/tuomasjjrasanen/python-uinput/issues/16
 # use correct input file
 [ -s /usr/include/linux/input-event-codes.h ] && \
-    %__subst "s/input.h/input-event-codes.h/" setup.py
+    sed -i "s/input.h/input-event-codes.h/" setup.py
 
 %python3_dirsetup
 #find . -name '*.py' | xargs sed -i '1s|^#!python|#!%__python3|'
--- a/qtox.spec	2025-05-14 02:14:16.517325234 +0000
+++ b/qtox.spec	2025-05-14 02:14:16.522325299 +0000
@@ -51,7 +51,7 @@
 
 %prep
 %setup
-%__subst "s|.*-Werror.*||g" CMakeLists.txt
+sed -i "s|.*-Werror.*||g" CMakeLists.txt
 
 %build
 %if_with ffmpeg_static
--- a/rpm-build-mingw64.spec	2025-05-14 02:14:16.837329359 +0000
+++ b/rpm-build-mingw64.spec	2025-05-14 02:14:16.841329411 +0000
@@ -26,7 +26,7 @@
 
 %prep
 %setup
-%__subst 's/@VERSION@/%version/' mingw64-find-requires.sh
+sed -i 's/@VERSION@/%version/' mingw64-find-requires.sh
 
 %install
 mkdir -p %buildroot%_rpmmacrosdir
--- a/sphinx.spec	2025-05-14 02:14:17.379336346 +0000
+++ b/sphinx.spec	2025-05-14 02:14:17.393336527 +0000
@@ -91,7 +91,7 @@
 make
 
 %install
-make install DESTDIR=%buildroot INSTALL="%__install -p -c"
+make install DESTDIR=%buildroot INSTALL="install -p -c"
 
 # Install sphinx initscript
 install -p -D -m 0755 %SOURCE1 %buildroot%_initdir/searchd
@@ -146,7 +146,7 @@
 
 # Install libsphinxclient
 cd api/libsphinxclient/
-make install DESTDIR=%buildroot INSTALL="%__install -p -c"
+make install DESTDIR=%buildroot INSTALL="install -p -c"
 
 %pre
 %_sbindir/groupadd -r -f _sphinx &>/dev/null
--- a/sqlgrey.spec	2025-05-14 02:14:17.436337081 +0000
+++ b/sqlgrey.spec	2025-05-14 02:14:17.449337248 +0000
@@ -39,8 +39,8 @@
 
 %install
 %makeinstall ROOTDIR=$RPM_BUILD_ROOT
-%__install -p -m755 -D %SOURCE1 $RPM_BUILD_ROOT%_initdir/%name
-%__mkdir_p %buildroot%ROOT
+install -p -m755 -D %SOURCE1 $RPM_BUILD_ROOT%_initdir/%name
+mkdir -p %buildroot%ROOT
 
 for i in $RPM_BUILD_ROOT%_sysconfdir/%name/clients_*; do
 	>"$RPM_BUILD_ROOT%_sysconfdir/%name/`basename $i`.local";
--- a/utftpd.spec	2025-05-14 02:14:18.152346310 +0000
+++ b/utftpd.spec	2025-05-14 02:14:18.165346478 +0000
@@ -48,22 +48,22 @@
 %prep
 %setup -q
 
-%__sed -e 's|@@SYSCONFDIR@@|%_sysconfdir|' < %SOURCE4 > %_builddir/%name-%version/AltLinux.readme
+sed -e 's|@@SYSCONFDIR@@|%_sysconfdir|' < %SOURCE4 > %_builddir/%name-%version/AltLinux.readme
 
 %build
 %configure
 %make_build
 
 %install
-%__install -d $RPM_BUILD_ROOT/{%_sysconfdir/xinetd.d,%_localstatedir/tftp}
+install -d $RPM_BUILD_ROOT/{%_sysconfdir/xinetd.d,%_localstatedir/tftp}
 
 %make_install install DESTDIR=$RPM_BUILD_ROOT
 
-%__install -p -m 640 %SOURCE1 $RPM_BUILD_ROOT%_sysconfdir/xinetd.d/utftpd-udp
-%__install -p -m 640 %SOURCE2 $RPM_BUILD_ROOT%_sysconfdir/utftpd.conf
+install -p -m 640 %SOURCE1 $RPM_BUILD_ROOT%_sysconfdir/xinetd.d/utftpd-udp
+install -p -m 640 %SOURCE2 $RPM_BUILD_ROOT%_sysconfdir/utftpd.conf
 
-%__sed -e 's|@@SYSCONFDIR@@|%_sysconfdir|' < %SOURCE3 > $RPM_BUILD_ROOT%_sbindir/utftpd_makeconfig
-%__chmod 700 $RPM_BUILD_ROOT%_sbindir/utftpd_makeconfig
+sed -e 's|@@SYSCONFDIR@@|%_sysconfdir|' < %SOURCE3 > $RPM_BUILD_ROOT%_sbindir/utftpd_makeconfig
+chmod 700 $RPM_BUILD_ROOT%_sbindir/utftpd_makeconfig
 
 touch $RPM_BUILD_ROOT%_sysconfdir/{utftpd.cdb,utftpd.tmp}
 
--- a/varnish.spec	2025-05-14 02:14:18.195346864 +0000
+++ b/varnish.spec	2025-05-14 02:14:18.209347045 +0000
@@ -53,12 +53,12 @@
 %setup
 
 %build
-%__subst 's/\[trunk\]/\[%{version}-%{release}\]/g' configure.ac
-%__aclocal
-%__libtoolize --copy --force
-%__autoheader
-%__automake --add-missing --copy --foreign
-%__autoconf
+sed -i 's/\[trunk\]/\[%{version}-%{release}\]/g' configure.ac
+aclocal
+libtoolize --copy --force
+autoheader
+automake --add-missing --copy --foreign
+autoconf
 
 
 %configure %{subst_enable static}
@@ -68,7 +68,7 @@
 sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
 sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
 
-%{__make} %{?_smp_mflags}
+make %{?_smp_mflags}
 
 sed -e ' s/8080/80/g ' etc/default.vcl > redhat/default.vcl
 
@@ -87,11 +87,11 @@
 mkdir -p %{buildroot}/var/lib/varnish
 mkdir -p %{buildroot}%{_logdir}/varnish
 
-%{__install} -D -m 0644 redhat/default.vcl %{buildroot}%{_sysconfdir}/varnish/default.vcl
-%{__install} -D -m 0644 redhat/varnish.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/varnish
-%{__install} -D -m 0644 redhat/varnish.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/varnish
-%{__install} -D -m 0755 %SOURCE1 %{buildroot}%{_initdir}/varnish
-%{__install} -D -m 0755 %SOURCE2 %{buildroot}%{_initdir}/varnishlog
+install -D -m 0644 redhat/default.vcl %{buildroot}%{_sysconfdir}/varnish/default.vcl
+install -D -m 0644 redhat/varnish.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/varnish
+install -D -m 0644 redhat/varnish.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/varnish
+install -D -m 0755 %SOURCE1 %{buildroot}%{_initdir}/varnish
+install -D -m 0755 %SOURCE2 %{buildroot}%{_initdir}/varnishlog
 
 %files
 %{_libdir}/pkgconfig/varnishapi.pc
--- a/vim-plugin-CRefVIM.spec	2025-05-14 02:14:18.267347792 +0000
+++ b/vim-plugin-CRefVIM.spec	2025-05-14 02:14:18.279347947 +0000
@@ -33,8 +33,8 @@
 %setup -q -n crefvim
 
 %install
-%__mkdir_p %buildroot%vim_runtime_dir
-%__cp -a {after,doc,plugin} %buildroot%vim_runtime_dir
+mkdir -p %buildroot%vim_runtime_dir
+cp -a {after,doc,plugin} %buildroot%vim_runtime_dir
 
 %files 
 %defattr(644,root,root)
--- a/vim-plugin-lh_cpp-ftplugin.spec	2025-05-14 02:14:18.420349765 +0000
+++ b/vim-plugin-lh_cpp-ftplugin.spec	2025-05-14 02:14:18.433349932 +0000
@@ -44,17 +44,17 @@
 %prep
 %setup -q -n lh-cpp
 %patch -p1
-%__subst 's,\r,,' syntax/doxygen.vim
+sed -i 's,\r,,' syntax/doxygen.vim
 
 %build
-%__rm -f ftplugin/c/doc/tags
-%__mv ftplugin/c/doc/lh-cpp-readme.txt doc/
-%__mv fold/c-fold.vim ftplugin/c_fold.vim
+rm -f ftplugin/c/doc/tags
+mv ftplugin/c/doc/lh-cpp-readme.txt doc/
+mv fold/c-fold.vim ftplugin/c_fold.vim
 
 %install
-%__mkdir_p %buildroot%vim_runtime_dir
-%__cp -a {after,doc,ftplugin,plugin,syntax} %buildroot%vim_runtime_dir
-%__rm -rf %buildroot%vim_runtime_dir/{after/template/lie-dans.sh,ftplugin/c/doc}
+mkdir -p %buildroot%vim_runtime_dir
+cp -a {after,doc,ftplugin,plugin,syntax} %buildroot%vim_runtime_dir
+rm -rf %buildroot%vim_runtime_dir/{after/template/lie-dans.sh,ftplugin/c/doc}
 
 %files
 %doc changelog-cpp after/template/lie-dans.sh ftplugin/c/doc/c.html
--- a/vim-plugin-matchit.spec	2025-05-14 02:14:18.459350267 +0000
+++ b/vim-plugin-matchit.spec	2025-05-14 02:14:18.471350422 +0000
@@ -38,7 +38,7 @@
 
 %prep
 %setup -T -c
-%__unzip -Lqa %SOURCE0
+unzip -Lqa %SOURCE0
 %patch -p1
 
 %install
--- a/vim-plugin-project.spec	2025-05-14 02:14:18.497350757 +0000
+++ b/vim-plugin-project.spec	2025-05-14 02:14:18.510350925 +0000
@@ -33,8 +33,8 @@
 %setup -c
 
 %install
-%__mkdir_p %buildroot%vim_runtime_dir
-%__cp -a {doc,plugin} %buildroot%vim_runtime_dir
+mkdir -p %buildroot%vim_runtime_dir
+cp -a {doc,plugin} %buildroot%vim_runtime_dir
 
 %files
 %vim_doc_dir/*
--- a/vim-plugin-rails.spec	2025-05-14 02:14:18.546351389 +0000
+++ b/vim-plugin-rails.spec	2025-05-14 02:14:18.558351543 +0000
@@ -45,8 +45,8 @@
 %patch -p1
 
 %install
-%__mkdir_p %buildroot%vim_runtime_dir
-%__cp -rvp {autoload,doc,plugin} %buildroot%vim_runtime_dir
+mkdir -p %buildroot%vim_runtime_dir
+cp -rvp {autoload,doc,plugin} %buildroot%vim_runtime_dir
 
 %files
 %vim_autoload_dir/*
--- a/vim-plugin-std_c-syntax.spec	2025-05-14 02:14:18.585351891 +0000
+++ b/vim-plugin-std_c-syntax.spec	2025-05-14 02:14:18.596352033 +0000
@@ -41,13 +41,13 @@
 
 %prep
 %setup -T -c
-%__unzip -Lqa %SOURCE0
+unzip -Lqa %SOURCE0
 %patch -p1
 
 %install
-%__mkdir_p %buildroot{%vim_syntax_dir,%vim_doc_dir}
-%__install -m644 doc/std_c.txt %buildroot%vim_doc_dir
-%__install -m644 syntax/c.vim %buildroot%vim_syntax_dir
+mkdir -p %buildroot{%vim_syntax_dir,%vim_doc_dir}
+install -m644 doc/std_c.txt %buildroot%vim_doc_dir
+install -m644 syntax/c.vim %buildroot%vim_syntax_dir
 
 %files
 %doc %vim_doc_dir/std_c.txt
--- a/vim-plugin-vtreeexplorer.spec	2025-05-14 02:14:18.650352729 +0000
+++ b/vim-plugin-vtreeexplorer.spec	2025-05-14 02:14:18.662352884 +0000
@@ -37,9 +37,9 @@
 %patch -p1
 
 %install
-%__mkdir_p %buildroot{%vim_plugin_dir,%vim_doc_dir}
-%__install -m644 doc/%plugname.txt %buildroot%vim_doc_dir
-%__install -m644 plugin/%plugname.vim %buildroot%vim_plugin_dir
+mkdir -p %buildroot{%vim_plugin_dir,%vim_doc_dir}
+install -m644 doc/%plugname.txt %buildroot%vim_doc_dir
+install -m644 plugin/%plugname.vim %buildroot%vim_plugin_dir
 
 %files
 %doc %vim_doc_dir/%plugname.txt
--- a/vim-plugin-xmledit-ftplugin.spec	2025-05-14 02:14:18.689353232 +0000
+++ b/vim-plugin-xmledit-ftplugin.spec	2025-05-14 02:14:18.702353400 +0000
@@ -39,11 +39,11 @@
 
 %prep
 %setup -q -c -T
-%__mkdir_p {ftplugin,doc}
-%__cp -p %_sourcedir/xml.vim ftplugin/
+mkdir -p {ftplugin,doc}
+cp -p %_sourcedir/xml.vim ftplugin/
 
 %build
-%__cat <<EOS | /usr/bin/vim -E -s -X -N -n -i NONE -u NONE -U NONE
+cat <<EOS | /usr/bin/vim -E -s -X -N -n -i NONE -u NONE -U NONE
 let use_xmledit_ftplugin = 1
 edit ftplugin/xml.vim
 normal zRgg
@@ -56,11 +56,11 @@
 # "
 
 %install
-%__mkdir_p %buildroot%vim_doc_dir
-%__mkdir_p %buildroot%vim_ftplugin_dir
+mkdir -p %buildroot%vim_doc_dir
+mkdir -p %buildroot%vim_ftplugin_dir
 
-%__install -m644 ftplugin/xml.vim %buildroot%vim_ftplugin_dir
-%__install -m644 doc/xml-plugin.txt %buildroot%vim_doc_dir
+install -m644 ftplugin/xml.vim %buildroot%vim_ftplugin_dir
+install -m644 doc/xml-plugin.txt %buildroot%vim_doc_dir
 
 %files
 %doc %vim_doc_dir/xml-plugin.txt
--- a/xpra.spec	2025-05-14 02:14:19.096358478 +0000
+++ b/xpra.spec	2025-05-14 02:14:19.105358594 +0000
@@ -114,18 +114,18 @@
 
 %prep
 %setup
-%__subst "s|-Werror|-Wall|g" setup.py
-find xpra -type f -name "*.py" | xargs %__subst "s|^#!/usr/bin/env python$|#!/usr/bin/python3|"
-%__subst "s|^#!/usr/bin/env python$|#!/usr/bin/python3|" scripts/* cups/*
+sed -i "s|-Werror|-Wall|g" setup.py
+find xpra -type f -name "*.py" | xargs sed -i "s|^#!/usr/bin/env python$|#!/usr/bin/python3|"
+sed -i "s|^#!/usr/bin/env python$|#!/usr/bin/python3|" scripts/* cups/*
 
-%__subst "s|^#!/usr/bin/.*sh$|^$#!/bin/sh|" scripts/*
+sed -i "s|^#!/usr/bin/.*sh$|^$#!/bin/sh|" scripts/*
 
 # fatal error: pygtk-2.0/pygtk/pygtk.h: No such file or directory
 #__subst "s|pygtk-2.0/||g" xpra/x11/gtk2/gdk_display_source.pyx xpra/gtk_common/gtk2/gdk_bindings.pyx
 
 # move systemd service to correct %_unitdir
-%__subst "s|/bin/systemctl|NONONO|g" setup.py
-%__subst "s|.*/etc/default/xpra.*||g" service/xpra
+sed -i "s|/bin/systemctl|NONONO|g" setup.py
+sed -i "s|.*/etc/default/xpra.*||g" service/xpra
 
 %build
 %if_with ffmpeg_static
